# QSoas

<img src='https://raw.githubusercontent.com/fourmond/QSoas/release/QSoas-logo.svg' width=200 />

QSoas is a powerful, scriptable data analysis software. It features:

 * a very powerful fit interface, making it easy to find parameters in
 difficult cases;
 * global fits with many datasets;
 * formula-based fits, fits based on differential or ordinary equations,
 and a series of predefined fits with smart parameter detection;
 * many data processing commands, with statistics, filtering,
 mathematic transformations;
 * numerous special mathematic functions available for fits and
 mathematical transformations;
 * peak detection;
 * full scriptability via command files and even embedded
 [mruby](https://mruby.org/) programs.

## Documentation

Browse the [manual](http://qsoas.org/reference/) or take a look at the
[tutorial](http://qsoas.org/tutorial/).

There is also a series of articles about various features of QSoas
[there](https://vince-debian.blogspot.com/search/label/qsoas). Some of
the examples rely on examples files that can be found in a specific
[repository](https://github.com/fourmond/QSoasExampleFiles).

## Support

For reporting bugs, you can use github's
[issues](https://github.com/fourmond/QSoas/issues). You can also use
it for discussions.

You can alternatively ask for help in the
[Twitter](https://twitter.com/QSoasSoftware) or the
[Facebook](https://www.facebook.com/QSoasSoftware/) pages. 

## Ready-to-use executables

Binary images for MacOS and Windows are freely available
[there](https://bip.cnrs.fr/groups/bip06/software/downloads/). Just
download the zip archive to find the installers:

 * the `.pkg` for MacOS
 * the two `.msi` for windows, be it 32 or 64 bits. 

No binaries are available for Linux, you have to compile yourself (but
it's not that hard).


## Compilation

To compile, look at the [compilation notes](https://github.com/fourmond/QSoas/blob/release/compilation.md).

